import '@s-ui/polyfills'
import dispatchEvent from './events/dispatch-event'
import analyticsLoader from './analytics/loader'
import navOrigenLoader from './navOrigen/loader'
import vendorsLoader from './vendors/loader'

export const loader = async function() {
  window.rubik = {}
  vendorsLoader()
  navOrigenLoader()
  await analyticsLoader()
  dispatchEvent('rubik:loaded')
}
